<?php

namespace App\Filament\Resources\AccessRequests\Schemas;

use App\Enums\AccessRequestStatus;
use Filament\Forms\Components\DateTimePicker;
use Filament\Forms\Components\Select;
use Filament\Forms\Components\TextInput;
use Filament\Schemas\Schema;

class AccessRequestsForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                Select::make('status')
                    ->options(AccessRequestStatus::class)
                    ->required(),
                TextInput::make('game_username')
                    ->required(),
                TextInput::make('message')
                    ->required(),

                Select::make('server_id')
                    ->relationship('server', 'name')
                    ->required(),
                DateTimePicker::make('reviewed_at'),
            ]);
    }
}
